### Property

# SpiceClientGLib Session:preferred-compression

since: 0.29

#### Declaration

    property preferred-compression: none [ read, write ]

#### Description [src]

The image compression algorithm the client prefers to use. It is reported to the server.

Type:`void`

Available since: 0.29

Default value | SPICE_IMAGE_COMPRESSION_INVALID

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no